package	jp.co.sds_corp.volcano;

import java.awt.Image;
import java.net.URL;
import java.util.List;

import jp.co.sds_corp.util.config.IConfigurable;

public interface ISource extends IConfigurable
{
	/**
	* 一覧のURLを設定します。
	* @param	var		設定するデータ
	*/
	public void setUrl( URL var );
	/**
	* 一覧のURLを取得します。
	* @return	一覧のURL
	*/
	public URL getUrl();

	public List<URL> listURL() throws Exception;
	public List<Image> listImage() throws Exception;

}
